MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
BlockParam Struct Reference

`#include <Block.hxx>`

## Public Member Functions
gcc_nonnull_all | BlockParam (const char *_name, const char *_value, int _line=-1)
gcc_pure int | GetIntValue () const
gcc_pure unsigned | GetUnsignedValue () const
gcc_pure bool | GetBoolValue () const

## Data Fields
std::string | name
std::string | value
int | line
bool | used
| This flag is false when nobody has queried the value of this option yet. More...

## Detailed Description

Definition at line 32 of file Block.hxx.

## Constructor & Destructor Documentation

gcc_nonnull_all BlockParam::BlockParam | ( | const char * | _name,
|  | const char * | _value,
|  | int | _line = `-1`
| ) |  |
| inline

Definition at line 44 of file Block.hxx.

## Member Function Documentation

gcc_pure bool BlockParam::GetBoolValue | ( |  | ) | const

gcc_pure int BlockParam::GetIntValue | ( |  | ) | const

gcc_pure unsigned BlockParam::GetUnsignedValue | ( |  | ) | const

## Field Documentation

int BlockParam::line

Definition at line 35 of file Block.hxx.

std::string BlockParam::name

Definition at line 33 of file Block.hxx.

bool BlockParam::used
| mutable

This flag is false when nobody has queried the value of this option yet.

Definition at line 41 of file Block.hxx.

std::string BlockParam::value

Definition at line 34 of file Block.hxx.

The documentation for this struct was generated from the following file:

- config/Block.hxx